package com.link.core.util;

import com.link.core.basic.interceptors.mybatis.utils.RowVersionCheckUtil;
import com.link.core.basic.model.BasicModel;
import com.link.core.basic.service.BasicService;
import java.util.Optional;

public class CheckUpdAndDelUtil {
   public static boolean checkUpdateOrDeleteVersion(Integer effectiveRows, BasicModel entity, BasicService basicService, String option) {
      if (null == entity.getRowVersion()) {
         return true;
      } else {
         boolean checkFlag = false;
         if ("update".equals(option)) {
            checkFlag = (Boolean)Optional.ofNullable(RowVersionCheckUtil.ROW_VERSION_CHECK_FLAG.get()).orElse(false) || "true".equals(CoreYmlConstants.getUpdateCheck());
         }

         if ("delete".equals(option)) {
            checkFlag = (Boolean)Optional.ofNullable(RowVersionCheckUtil.ROW_VERSION_CHECK_FLAG.get()).orElse(false) || "true".equals(CoreYmlConstants.getDeleteCheck());
         }

         if (!checkFlag) {
            return true;
         } else if (null != effectiveRows && effectiveRows <= 0) {
            try {
               BasicModel updateRow = basicService.queryById(entity);
               if (null == updateRow.getRowVersion()) {
                  return false;
               }

               if (entity.getRowVersion() != updateRow.getRowVersion()) {
                  return false;
               }
            } catch (Exception var6) {
               Exception e = var6;
               e.printStackTrace();
            }

            return true;
         } else {
            return true;
         }
      }
   }
}
